Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.16.1 Regression?: No

Operating System: ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 23357

Description

I did an update of 2.16 and got this error. The system spatialite is v7 but qgis-providers still references v5

Setting up qgis-providers (1:2.16.1+24xenial) ...

/usr/lib/qgis/crssync: error while loading shared libraries: libspatialite.so.5: cannot open shared object file: No such file or directory

dpkg: error processing package qgis-providers (--configure):

 subprocess installed post-installation script returned error exit status 127

Errors were encountered while processing:

 qgis-providers

History

#1 - 2016-08-13 07:24 AM - Jürgen Fischer

- Status changed from Open to Feedback

Not reproducable here.

# cat /etc/apt/sources.list

deb http://archive.ubuntu.com/ubuntu xenial main universe

deb http://qgis.org/debian xenial main

# apt-get install qgis

[...]

Setting up qgis-providers (1:2.16.1+24xenial) ...

Synchronizing CRS database with GDAL/PROJ definitions.

[...]

359 CRSs updated.

[...]

# dpkg -s qgis-providers | egrep "spatialite|Version" 

Version: 1:2.16.1+24xenial

Depends: [...] libspatialite7 (>= 4.0.0), libsqlite3-0 (>= 3.5.9), libstdc++6 (>= 5.2)

# ldd /usr/lib/qgis/crssync | grep spatialite

    libspatialite.so.7 => /usr/lib/x86_64-linux-gnu/libspatialite.so.7 (0x00007f4623818000)

The libspatialite.so.5 dependency probably comes from something qgis depends on which is outdated for some reason. It shouldn't be in xenial at all.

#2 - 2016-08-14 09:22 AM - Gavin Fleming
The problem arose after I upgraded from Ubuntu 14.04 to 16.04.

I have now managed to install QGIS (no problem with qgis-providers anymore) after I switched to ubuntugis-unstable and also purged all potential

spatialite dependents and reinstalled.

Now QGIS starts but won't load gdal-tools [1] nor Processing [2]

I'm not seeing any option to reinstall or upgrade these plugins so I'm not sure how to solve this.

[1]

Unable to load GdalTools plugin. 

The required "osgeo [python-gdal]" module is missing. 

Install it and try again.

Note: I actually do have python-gdal installed

[2]

Couldn't load plugin 'processing' 

ImportError: libspatialite.so.5: cannot open shared object file: No such file or directory 

Traceback (most recent call last):

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 308, in loadPlugin

    __import__(packageName)

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 607, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/processing/__init__.py", line 28, in 

    from processing.tools.dataobjects import *          # NOQA

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 607, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/processing/tools/dataobjects.py", line 37, in 

    from processing.algs.gdal.GdalUtils import GdalUtils

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 607, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/processing/algs/gdal/GdalUtils.py", line 32, in 

    from osgeo import gdal

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 607, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/local/lib/python2.7/dist-packages/GDAL-2.0.0-py2.7-linux-x86_64.egg/osgeo/__init__.py", line 21, in 

    _gdal = swig_import_helper()

  File "/usr/local/lib/python2.7/dist-packages/GDAL-2.0.0-py2.7-linux-x86_64.egg/osgeo/__init__.py", line 17, in swig_import_helper

    _mod = imp.load_module('_gdal', fp, pathname, description)

ImportError: libspatialite.so.5: cannot open shared object file: No such file or directory

Python version: 2.7.12 (default, Jul  1 2016, 15:12:24) [GCC 5.4.0 20160609] 

QGIS version: 2.16.1-Nødebo Nødebo, 8545b3b 

Python Path:

/usr/share/qgis/python

/home/gavin/.qgis2/python
/home/gavin/.qgis2/python/plugins

/usr/share/qgis/python/plugins

/usr/lib/pymodules/python2.7

/usr/local/lib/python2.7/dist-packages/GDAL-2.0.0-py2.7-linux-x86_64.egg

/usr/lib/python2.7

/usr/lib/python2.7/plat-x86_64-linux-gnu

/usr/lib/python2.7/lib-tk

/usr/lib/python2.7/lib-old

/usr/lib/python2.7/lib-dynload

/usr/local/lib/python2.7/dist-packages

/usr/lib/python2.7/dist-packages

/usr/lib/python2.7/dist-packages/PILcompat

/usr/lib/python2.7/dist-packages/gtk-2.0

/usr/lib/python2.7/dist-packages/wx-3.0-gtk2

/home/gavin/.qgis2//python

/home/gavin/.qgis2/python/plugins/StreamFeatureExtractor/third_party

#3 - 2016-08-14 12:02 PM - Jürgen Fischer

Gavin Fleming wrote:

ImportError: libspatialite.so.5: cannot open shared object file: No such file or directory"

Still some indirect dependency that still requires libspatialite.so.5

#4 - 2017-01-04 05:08 AM - Giovanni Manghi

- Category set to Build/Install

I have seen that before, and I had a messed/mixed up packages. I removed anything that was related or a dependency of qgis or other spatial packages,

re-installed and the problem was gone.

#5 - 2017-03-06 10:09 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
